public class Main {
	// Usually, the interface, server and client are in packages.
	// In that case, policy files will describe permissions,
	// and you have to use a security manager in the code.
	// For details, see https://docs.oracle.com/javase/tutorial/rmi/running.html
	public static void main(String[] args) {
		ServerMain.main(new String[0]);
		
		try { Thread.sleep(200); } catch (InterruptedException e) {}
		
		ClientMain.main(new String[0]);
		
		System.out.println("Launcher done.");
		
		// As the server object is still running,
		// the program won't stop unless forced to.
		System.exit(0);
	}
}
