package example;

import javax.ejb.Remote;
import javax.ejb.Stateful;
import javax.interceptor.Interceptors;

import example.RandomStatefulCalculator;

// Define a stateful session bean with a remote interface.
@Stateful
@Remote(RandomStatefulCalculator.class)
// Setup the interceptors for this class
@Interceptors({
RandomResultGenerator.class
})
public class RandomCalculatorBean extends CalculatorBean implements RandomStatefulCalculator {
}
