package example.jdbc_rmi.api;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface LoginService extends Remote {

    // Identifier for registry binding.
    static final String NAME = "LoginService";

    // A simple operation to login users.
    LoginResult login(String userName, String password) throws RemoteException;
}
