
public class Main {
	// Note: you can start both the server and the client
	// separately, as both contain a main method
	public static void main(String[] args) {
		// Start the server separately.
		new Thread(() -> ServerMain.main(args)).start();

		// Each second, start a client for a total of 10 clients.
		for (int i = 0; i < 10; i++) {
			try { Thread.sleep(1000); } catch (InterruptedException e) {}
			new Thread(() -> ClientMain.main(args)).start();
		}

		System.out.println("(main) Force quit from the launcher.");
		System.exit(0);
	}
}
