package example;

import java.io.IOException;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import example.SyncMessageConsumerBean;


@WebServlet("/list")
public class MessageReceiver extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
	@EJB
	private SyncMessageConsumerBean bean;
	
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// Fetch the list of messages
		request.setAttribute("values", bean.getNewMessages());
		// Redirect the request to a JSP page
		request.getRequestDispatcher("/WEB-INF/list.jsp").forward(request, response);
	}

}
