package example.stateless;

import java.io.Serializable;

// This class is used to show the difference between passing
// parameters and return values as by-reference or by-copy
// on the local and remote bean interfaces. It must be
// serializable to use it on a remote interface.
public class ValueHolder implements Serializable {

	private static final long serialVersionUID = 1L;
	
	public ValueHolder(double value) {
		this.value = value;
	}
	
	public double value;
}
